Skip to main content
PUT
/
report_schedules
/
{schedule_id}
/
recipients
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients \
  -X PUT \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "recipients": ["reports@methodfi.com", "ops@methodfi.com"]
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "reports@methodfi.com",
    "ops@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
Replaces the full recipients array on an existing Report Schedule. The provided array must contain at least one email address.

Path Parameters

Body

Returns

Returns the updated Report Schedule object.
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients \
  -X PUT \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "recipients": ["reports@methodfi.com", "ops@methodfi.com"]
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "reports@methodfi.com",
    "ops@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}